Create a sticky
POST/api/v1/workspaces/{workspace_slug}/stickies/
Create a new sticky in the workspace.
Path parameters
workspace_slug:requiredstringThe workspace slug. It appears in your Plane URLs. In https://app.plane.so/my-team/projects/, the slug is my-team.
Body parameters
deleted_at:optionalstringWhen the sticky was deleted.
name:optionalstringThe sticky's name.
description:optionalobjectThe sticky's description.
description_html:optionalstringThe description as HTML.
description_stripped:optionalstringThe description as plain text, with HTML removed.
logo_props:optionalobjectLogo settings used by the Plane editor.
color:optionalstringDisplay color.
background_color:optionalstringThe sticky's background color.
sort_order:optionalnumberPosition used for manual ordering.
created_by:optionalstringID of the user who created the sticky.
updated_by:optionalstringID of the user who last updated the sticky.
Scopes
stickies:write
Create a sticky
bash
curl -X POST \
"https://api.plane.so/api/v1/workspaces/my-workspace/stickies/" \
-H "X-API-Key: $PLANE_API_KEY" \
# Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"deleted_at": "2024-01-01T00:00:00Z",
"name": "Example Name",
"description": "example-value",
"description_html": "<p>Example content</p>",
"description_stripped": "Example description",
"logo_props": "example-value",
"color": "Example Name",
"background_color": "Example Name",
"sort_order": 1,
"created_by": "550e8400-e29b-41d4-a716-446655440000",
"updated_by": "550e8400-e29b-41d4-a716-446655440000"
}'python
import requests
response = requests.post(
"https://api.plane.so/api/v1/workspaces/my-workspace/stickies/",
headers={"X-API-Key": "your-api-key"},
json={
"deleted_at": "2024-01-01T00:00:00Z",
"name": "Example Name",
"description": "example-value",
"description_html": "<p>Example content</p>",
"description_stripped": "Example description",
"logo_props": "example-value",
"color": "Example Name",
"background_color": "Example Name",
"sort_order": 1,
"created_by": "550e8400-e29b-41d4-a716-446655440000",
"updated_by": "550e8400-e29b-41d4-a716-446655440000"
}
)
print(response.json())javascript
const response = await fetch("https://api.plane.so/api/v1/workspaces/my-workspace/stickies/", {
method: "POST",
headers: {
"X-API-Key": "your-api-key",
"Content-Type": "application/json",
},
body: JSON.stringify({
deleted_at: "2024-01-01T00:00:00Z",
name: "Example Name",
description: "example-value",
description_html: "<p>Example content</p>",
description_stripped: "Example description",
logo_props: "example-value",
color: "Example Name",
background_color: "Example Name",
sort_order: 1,
created_by: "550e8400-e29b-41d4-a716-446655440000",
updated_by: "550e8400-e29b-41d4-a716-446655440000",
}),
});
const data = await response.json();Response201
json
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Example Name",
"description_html": "<p>Example content</p>",
"created_at": "2024-01-01T00:00:00Z"
}
